java issue while bahmni installation process

Hi @andrewbhandari, same here!

I think this related to the Oracle Java 8 download URL used in Bahmni installer that is not valid anymore.

  • Java 8 is now available as u131b11. And I believe that makes u101b13 not available for download anymore (TBC)
  • Oracle has changed their download URL pattern by adding “d54c1d3a095b4ff2b6607d096fa80163” in the middle of it

So to make this work, you can edit the Java installation variable file, ie /opt/bahmni-installer/bahmni-playbooks/roles/oracle-java/defaults/main.yml, and replace java_version, java_build and java_download_url by the following:

java_version: 8u131
java_build: b11
[...]
java_download_url: "http://download.oracle.com/otn-pub/java/jdk/{{java_version}}-{{java_build}}/d54c1d3a095b4ff2b6607d096fa80163/{{ java_rpm_name }}"

Save the file and you can restart the install (bahmni -i local install).

Note: If the Bahmni team can confirm that this is indeed the correct way to solve this problem, I am happy to do the PR.

1 Like

hi MKsrom

i have added those line however i got another error, can you plz write full script here so that i can give it try im totally new in programming :joy: i have attached 2 snap for your reference.

appreciate your time. thank you!!

with best Regard

Sorry, the “[...]” was not meant to be copied in the file (it is just a way to shorten the quote) So here is the full content of the file:

download_folder: /opt
java_runtime: jre
java_version: 8u131
java_build: b11
java_rpm_name: "{{ java_runtime }}-{{ java_version }}-linux-x64.rpm"
java_download_url: "http://download.oracle.com/otn-pub/java/jdk/{{java_version}}-{{java_build}}/d54c1d3a095b4ff2b6607d096fa80163/{{ java_rpm_name }}"
java_rpm_location: "{{download_folder}}/{{ java_rpm_name}}"
java_home_location: "/usr/java/{{java_runtime}}1.{{java_version | replace('u', '.0_')}}"
md5_checksum_of_java: "8eeed2ea9f48b688cd01b888d3c72bec"
force_new_java_download: false

Let me know if that works.

Romain

1 Like

Thanks @mksrom. We will do a patch release for 89. I will post again when we upload the artefacts to bintray.

There are 2 parts to it

  1. For the Java 8 download - pretty straight forward, inline with what you have already suggested. Someone not intending to install PACs can go ahead (as above) without pulling in the patch.
  2. Java 7 - is also no longer available for download (requires login now). Although there are some external mirrors, where Java 7 rpm is available, we are no longer downloading Java 7 automatically. You can download and put in a specific path and specify that using “java_file_url” variable using “setup.yml”. Even without the variable in setup.yml, the default location is “/opt”. The java 7 version is mandated as “1.7.0_79”, as this the version we have tested with. If you want to use another version like “java 1.7.0_80”, (which most likely will work), then you will modify the startup script of Dcm4Che, (“/etc/init.d/dcm4chee”) for JAVA_HOME.

Going forward, Bahmni v0.90 will use only Java 8.

1 Like

thank you @mksrom @angshuonline , i pass java section however i again stuck bahmni-erp : Install bahmni-erp from bahmni-repo, any help in this regard. i have attached snapshot for your review. by the way it is working CLINICAL SERVICE, however LABORATORY, STOCK INVENTORY & BILLING are not working, i believe it did not installed completely. could you plz guide me the right direction. thank you both of you !

with best regard

Tej bhandari

I think you may have to follow OpenERP not installing

hi @ramashish
i have the same issue after following the link above, by the way from where i can edit the file and put correct Repo URL so that i can make this work, because i did install by wget rpm again i fire up bahmni installer i got same error. i guess i have to manually edit the bahmni erp and put the correct repo url please correct me if im wrong !! thanks.

with best regard Tej bhandari

You don’t have to edit any file. Just install mx-1.4.5-1-mdv2012.0.x86_64.rpm as mentioned in that link from prompt and then install erp. Could you please post error message after you follow the above steps?

We have done a patch release for the above & now available on bintray. https://dl.bintray.com/bahmni/rpm/rpms/bahmni-installer-0.89-193.noarch.rpm

Hi @angshuonline

Good day !

I’ve tried the latest patch release but encountered some error ( see attached image ). With regards to this, is there any issue applying this latest patch on a multi-server install setup ? We plan to use dcm4chee.

Thanks in advance !

Farvey Gacias Navotas City Hospital Manila, Philippines

hi @ramashish

i just i want to make sure. before i start installation bahmni installer i have to install bahmni-erp or after getting an error i have to install ?

first bahmni installer or bahmni-erp needs to install? if i install bahmni installer prior bahmni-erp i can get same error could you plz be specific how it goes >>> thanks.

with best Regard tej bhandari

hi @angshuonline @fcgacias

here same case after trying several times installation:joy::joy:

It says no RPM was found. If the file is present, can you check if you have the right permissions for the file?

1 Like

@andrewbhandari: Could you please make sure you have correct filename and permission ? Ensure that the following file exist in /opt/jre-7u79-linux-x64.rpm. If you are trying install java from different location, Kindly modify bahmni setup.yml with the absolute path of the java rpm.

PS: If its a java minor version is different then the file name could be different then stated above.

1 Like

dear @senthilrajar

thank you for your support my mistake, i did not have file call jre-7u79-linux-x64.rpm on /opt directory, everything was fine this time it completed installation without any error as you can see snap installation is completed without an error :joy: however i don’t see GUI of Bahmni Lab OpenELIS. do i have to re-run bahmni installer again to get Lab OpenELIS ? if i exe service bahmni-lab status it is saying not recognize, i think it is not install, how can i install it ?

Hi @mksrom

I have the same issue:

subprocess.CalledProcessError: Command ‘ansible-playbook –i /etc/bahmni-installer/local all.yml –vv –extra-vars ‘@/etc/bahmni-installer/rpm_versions.yml’ –extra-vars ‘@/etc/bahmni-installer/setup.yml’’ returned non-zero exit status 2

Even if I have this content in my Java file.

java_version: 8u131 java_build: b11 […] java_download_url: “http://download.oracle.com/otn-pub/java/jdk/{{java_version}}-{{java_build}}/d54c1d3a095b4ff2b6607d096fa80163/{{ java_rpm_name }}”

Can you please assist on it.

THanks

Hi!

Do you have this exact contents in the file?

download_folder: /opt
java_runtime: jre
java_version: 8u131
java_build: b11
java_rpm_name: "{{ java_runtime }}-{{ java_version }}-linux-x64.rpm"
java_download_url: "http://download.oracle.com/otn-pub/java/jdk/{{java_version}}-{{java_build}}/d54c1d3a095b4ff2b6607d096fa80163/{{ java_rpm_name }}"
java_rpm_location: "{{download_folder}}/{{ java_rpm_name}}"
java_home_location: "/usr/java/{{java_runtime}}1.{{java_version | replace('u', '.0_')}}"
md5_checksum_of_java: "8eeed2ea9f48b688cd01b888d3c72bec"
force_new_java_download: false

You shouldn’t have to modify anything in there since the changes have been pushed on the release-0.89 already. Is it 0.89 that you are installing?

Also could you share your exact error? (as a screenshot or https://pastebin.com/)

Hi Romain,

What should be the content of /etc/bahmni-installer/setup.yml so that bahmni install can run properly.

From the documentation, this file can be fetched when you install Bahmni. https://bahmni.atlassian.net/wiki/spaces/BAH/pages/33128505/Install+Bahmni+on+CentOS

Once done you can modify it to your needs, ie, change the timezone. But it should work by default anyway.

If you have a specific problem when installing don’t hesitate to start a new thread about it.

Issue as in Java 7 or lab service not available? If Lab is not installed, check if you have that configured in the ‘inventory file’ (local by default)

/etc/bahmni-installer/local